Bug 1323436 - [RFE] Latest available packages are not listed in the update list over the Satellite Server Web UI
Summary: [RFE] Latest available packages are not listed in the update list over the Sa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts - Content
Version: 6.1.8
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Brad Buckingham
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-03 03:09 UTC by anerurka
Modified: 2020-12-11 12:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:34:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
Satellite 6.3 - Content Host listing - shows package updates needed (70.66 KB, image/png)
2017-09-06 19:41 UTC, Brad Buckingham
no flags Details
Satellite 6.3 - Content Host - Applicable Packages (100.49 KB, image/png)
2017-09-06 19:41 UTC, Brad Buckingham
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 5148 0 None None None 2016-12-19 19:16:45 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description anerurka 2016-04-03 03:09:41 UTC
Description of problem:

Latest available packages are not listed in the update list over the Satellite Server Web UI


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1. Sync any Red Hat Repository with the latest packages or create an custom product and add a custom repository to it with the Packages uploaded.

2. Content Hosts is using the above Content View.

3. Now navigate to Host --> Content Host --> Select particular Content Hosts --> Click on Packages tab --> Select Package Action as (Package Update)

4. Once Package Update is selected it should list the packages that are available for update to that Content Hosts.

Actual results:

It does not list the packages for the available Content Hosts both for Custom and Red Hat Repository

Expected results:

It should list the packages for the available Content Hosts both for Custom and Red Hat Repository

Additional info:

Navigate to Host --> Content Host --> Select particular Content Hosts --> Click on Packages tab --> Select Package Action as (Package Install)

- It list the packages that are installed over the Content Hosts including the packages installed from the Custom Repository.

-  Clicking on update all button do update all the packages that are available for update, but it does not provide the option to select the packages that we wish to update over the Content Hosts

Comment 2 Justin Sherrill 2016-12-19 19:16:43 UTC
Connecting redmine issue http://projects.theforeman.org/issues/5148 from this bug

Comment 3 Brad Buckingham 2017-09-06 19:40:33 UTC
Verified with Satellite 6.3 SNAP 14: satellite-6.3.0-17.0.beta.el7sat.noarch, tfm-rubygem-katello-3.4.5-1.el7sat.noarch

With Satellite 6.3, user can now see a summary from the Content Hosts listing the number packages that need upgrading on the content host.  In addition, they can go to the content host (Packages -> Applicable Packages) to see the list and perform package upgrades.

Attaching screenshots of the new UI.

Comment 4 Brad Buckingham 2017-09-06 19:41:15 UTC
Created attachment 1322800 [details]
Satellite 6.3 - Content Host listing - shows package updates needed

Comment 5 Brad Buckingham 2017-09-06 19:41:58 UTC
Created attachment 1322801 [details]
Satellite 6.3 - Content Host - Applicable Packages

Comment 8 errata-xmlrpc 2018-02-21 12:34:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.